Bug 566688 - Review Request: perl-MooseX-Types-DateTime-ButMaintained - DateTime related constraints and coercions for Moose
Summary: Review Request: perl-MooseX-Types-DateTime-ButMaintained - DateTime related c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 566686
Blocks: 566687
TreeView+ depends on / blocked
 
Reported: 2010-02-19 12:38 UTC by Marcela Mašláňová
Modified: 2010-02-23 06:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-23 06:58:37 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-02-19 12:38:09 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTime-ButMaintained.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTime-ButMaintained-0.11-1.fc13.src.rpm
Description: This module packages several Moose::Util::TypeConstraints with coercions, designed to work with the DateTime suite of objects.

Comment 1 Iain Arnell 2010-02-20 08:12:46 UTC
Fails to build in mock (locally, with perl-Olson-Abbreviations installed). There's either a missing BR on perl(CPAN), or you can run Makefile.PL with PERL5_CPANPLUS_IS_RUNNING=1 to avoid CPAN entirely.

Some of the requires in the spec are unnecessary:
perl(DateTime)  
perl(DateTime::Locale)  
perl(DateTime::TimeZone)  
perl(Olson::Abbreviations)  

Otherwise, it's looking good.

Source tarballs match upstream
7dacf16bfedf3910247000e006be5b15  MooseX-Types-DateTime-ButMaintained-0.11.tar.gz

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

rpmlint is almost silent (only complains about stupid spelling errors)

Comment 2 Marcela Mašláňová 2010-02-22 09:03:58 UTC
(In reply to comment #1)
> Fails to build in mock (locally, with perl-Olson-Abbreviations installed).
> There's either a missing BR on perl(CPAN), or you can run Makefile.PL with
> PERL5_CPANPLUS_IS_RUNNING=1 to avoid CPAN entirely.
> 
Great macro!
> Some of the requires in the spec are unnecessary:
> perl(DateTime)  
> perl(DateTime::Locale)  
> perl(DateTime::TimeZone)  
> perl(Olson::Abbreviations)  
>
Removed. 
> Otherwise, it's looking good.
> 
> Source tarballs match upstream
> 7dacf16bfedf3910247000e006be5b15 
> MooseX-Types-DateTime-ButMaintained-0.11.tar.gz
> 
> Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
> make test passes cleanly.
> 
> rpmlint is almost silent (only complains about stupid spelling errors)    

http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTime-ButMaintained-0.11-2.fc12.src.rpm

Comment 3 Iain Arnell 2010-02-22 10:54:24 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Fails to build in mock (locally, with perl-Olson-Abbreviations installed).
> > There's either a missing BR on perl(CPAN), or you can run Makefile.PL with
> > PERL5_CPANPLUS_IS_RUNNING=1 to avoid CPAN entirely.
> > 
> Great macro!

But it needs to be in then environment when Makefile.PL is running, not at the end of %prep, i.e.

PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor

With that one change, it builds in mock (locally, f14, with perl-Olson-Abbreviations installed).

Final provides are sane:
perl(MooseX::Types::DateTime::ButMaintained) = 0.11
perl-MooseX-Types-DateTime-ButMaintained = 0.11-2.fc14

Final requires are sane:
perl(:MODULE_COMPAT_5.10.1)  
perl(DateTime)  
perl(DateTime::Locale)  
perl(DateTime::TimeZone)  
perl(Moose) >= 0.41
perl(MooseX::Types)  
perl(MooseX::Types) >= 0.04
perl(MooseX::Types::Moose)  
perl(Olson::Abbreviations)  
perl(namespace::clean)  
perl(namespace::clean) >= 0.08
perl(strict)  
perl(warnings)  

and rpmlint is silent.

With the small PERL5_CPANPLUS_IS_RUNNING fix, APPROVED.

Comment 4 Marcela Mašláňová 2010-02-22 11:15:42 UTC
Fixed, thank you for your review.

Comment 5 Marcela Mašláňová 2010-02-22 11:18:01 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-DateTime-ButMaintained
Short Description: DateTime related constraints and coercions for Moose
Owners: mmaslano
Branches: F-13
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2010-02-22 21:31:33 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.